package strategy;

public class Car {

    private Assembler carAssembler;

    //Método que executa as etapas de Strategy
    public void manufacture(){
        carAssembler.buildCarBodyWork();
        carAssembler.paintCar();
        carAssembler.mountCarParts();
    }

    public void setCarAssembler(Assembler carAssembler) {
        this.carAssembler = carAssembler;
    }
}
