package strategy;

public class SedanCar implements Assembler {

    // Atributos de Car que serão modificados durante as etapas do algoritmo.
    private String color;
    private int bodyWorkVolumesNumber;
    private String engineType;
    private String tireType;
    private String starterMotorType;

    // Implementações específicas para cada etapa do algoritmo que constrói um carro Hatch
    public void buildCarBodyWork(){
        this.bodyWorkVolumesNumber = 3;
    }

    public void paintCar() {
        this.color = "black";
    }

    public void mountCarParts(){
        this.engineType = "W type";
        this.tireType = "Summer";
        this.starterMotorType = "Planetary Gear";
    }

    public String getCarInfo(){
        return "Number of bodywork volumes: " + this.bodyWorkVolumesNumber
             + "\nCar color: " + this.color
             + "\nEngine type: " + this.engineType
             + "\nTire type: " + this.tireType
             + "\nStarter motor type: " + this.starterMotorType;
    }

}
